#!/bin/bash

KEYFILE="$HOME/.ssh/deploy_id_ed25519"

if [ "$1" == "" ]; then
    echo "$0: Please provide the output directory name"
    exit 1
fi
if [ $(echo $1 | grep "/") ]; then
    echo "$0: '$1' must be a plain directory name, not a path."
    exit 2
fi


if [ ! -f $KEYFILE ]; then
    echo "Deploy keyfile $KEYFILE not found. Please install the upload keys for your user."
    exit 3
fi

SANITIZED=$(sed -e 's/[^A-Za-z0-9_-]/_/g' <<< "${1}")

if [ "${SANITIZED}" != "${1}" ]; then
    echo "Uploaded directory names must consist of letters, numbers, underscores and dashes only."
    echo "Please sanitize the name: ${1}"
    echo "          for example to: ${SANITIZED}"
    echo "and try again."
    exit 4
fi

ssh -i ${KEYFILE} episim-deploy@webserver "${SANITIZED}"

